BIORUBY(1)

NAME
br_bioflat.rb — OBDA flat file indexer

SYNOPSIS

Search:

br_bioflat.rb [--search] [options...]

br_bioflat.rb [--search] [--location DIR] [--dbname DBNAME] [options...] [KEYWORDS]

Create index:

br_bioflat.rb [--create] [--location DIR] [--dbname DBNAME] [--format genbank|embl|fasta] [options...] [--files FILES...]

Update index:

br_bioflat.rb [--update] [--location DIR] [--dbname DBNAME] [options...] [--files FILES...]

Show namespaces:

br_bioflat.rb [--show-namespaces] [--location DIR] [--dbname DBNAME] [DIR/DBNAME]

br_bioflat.rb [--show-namespaces] [--format=CLASS]

br_bioflat.rb [--show-namespaces] [--files file]

DESCRIPTION

This manual page documents briefly the br_bioflat.rb.

br_bioflat.rb is an OBDA flat file indexer.

OPTIONS

--search
    Search a database for keywords.

--namespace 		--name
    Only valid with the --search option. Set the search namespace. You can set this option multiple times to specify more than one namespace.

--create
    Create an index.

--location
    Specify the directory.

--dbname
    Specify the name of the database.

--primary 		--secondary
    Set the primary and secondarynamespace of the index. Default primary/secondary namespaces depend on the format of the flatfiles. Only valid with the --create option.

--add-secondary
    Add secondary namespaces to the default specification. You can use this option many times. Only valid with the --create option.

--update
    Update an index

--sort
    Sort an index. You can set this to a path to an external sorting program, or BUILTIN to use the builtin sort module. This option is only valid with --create (or --update) and --type flat options.

--renew
    Re-read all flatfiles and update whole index. This option is only valid with the --update option.

--show-namespaces
    Display the namespaces for an index file.

AUTHOR

This manual page was written by David Nusinow dnusinow@debian.org for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.